Need help Upgrading SC 1.0.8.2 to 1.0.9.6.1

New to UltraVNC? Your questions are welcome in this subforum. :surprise:

Need help Upgrading SC 1.0.8.2 to 1.0.9.6.1

Postby Dftech » 2013-09-20 21:20

I have been using version 1.0.8.2 with MSRC4Plugin.dsm encryption since 2010 and need to upgrade to the newest which is secureVNC.

1. I’m following the SC instructions from 2009 and im wondering if they still apply? I’m told to make a zip file with these files in it (helpdesk.txt rc4.key icon1.ico icon2.ico logo.bmp background.bmp) Do I need to include rc.4? I go to the website and upload the zipfile, I get back the helpdesk.exe. I click on the hekpdesk.exe and I get an error “The plugin cannot be loaded. Please check its name integrity”. I click ok and then the I see the clients desktop. I’m assuming its connecting with no encryption. How to I get the new encryption file in the helpdesk.exe?

2. Updating the version. I’m assuming that all you need to do is update my version of ultravnc to 1.0.9.6.1 and get the encryption working and that’s all I need to do?
Dftech
 
Posts: 3
Joined: 2013-09-20 20:40

Re: Need help Upgrading SC 1.0.8.2 to 1.0.9.6.1

Postby Rudi De Vos » 2013-09-21 17:38

SC is not the same as the ultravnc versions.
Sc use the MSRC4Plugin.dsm, the secureVNCplugin isn't supported.

The installer of ultravnc also install the MSRC4Plugin_for_sc.dsm, this is the plugin you need for the viewer.

Make sure you use the win32 version of the ultravnc 1.1.9.3 , the MSRC4Plugin only exist for win32.

1) Open a winvnc server select the "MSRC4Plugin_for_sc.dsm" plugin and create the key
2) add this key in the custom.zip
3) upload to the version 2013
4) download the cutom.exe

The plugin for the SC version is auto added by the creator.
Rudi De Vos
Admin & Developer
Admin & Developer
 
Posts: 5714
Joined: 2004-04-23 10:21

Re: Need help Upgrading SC 1.0.8.2 to 1.0.9.6.1

Postby Dftech » 2013-09-23 17:57

So SC (Single click) is no longer supported, only works with MSRC4Plugin key?
Dftech
 
Posts: 3
Joined: 2013-09-20 20:40

Re: Need help Upgrading SC 1.0.8.2 to 1.0.9.6.1

Postby Rudi De Vos » 2013-09-23 18:20

SC is still supported, we only don't support the new encryption plugin.

Perhaps if i have a lot of time... The new plugins also use a new server engine
and have several options that need to be saved. SC doesn't use a ultravnc.ini while
the plugin use this file to save settings. SC need to be simple and the plugin with all possible config options
make it complex.
Rudi De Vos
Admin & Developer
Admin & Developer
 
Posts: 5714
Joined: 2004-04-23 10:21

Re: Need help Upgrading SC 1.0.8.2 to 1.0.9.6.1

Postby Dftech » 2013-09-23 18:31

Ok, well i need to use the newer version and the new encryption. I'm looking for an equivalent to SC.
Dftech
 
Posts: 3
Joined: 2013-09-20 20:40


Return to Beginner questions

Who is online

Users browsing this forum: No registered users and 3 guests

cron